Package org.eclipse.gef.mvc.fx.parts

# Class DefaultHoverIntentHandlePartFactory

java.lang.Object
org.eclipse.gef.mvc.fx.parts.DefaultHoverIntentHandlePartFactory

All Implemented Interfaces:
  `IHandlePartFactory`

public class DefaultHoverIntentHandlePartFactory extends Object implements IHandlePartFactory

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`HOVER_INTENT_HANDLES_GEOMETRY_PROVIDER`
The role name for the `Provider<IGeometry>` that will be used to generate hover handles.

## Constructor Summary

Constructors
Constructor
Description
`DefaultHoverIntentHandlePartFactory()`

## Method Summary

Modifier and Type
Method
Description
`List<IHandlePart<? extends Node>>`
`createHandleParts(List<? extends IVisualPart<? extends Node>> targets, Map<Object,Object> contextMap)`
Creates specific `IHandlePart`s for the given targets.
`protected List<IHandlePart<? extends Node>>`
`createHoverHandlePartsForCurve(IVisualPart<? extends Node> target, Map<Object,Object> contextMap, Provider<BezierCurve[]> segmentsProvider)`
Creates hover handle parts for a handle geometry that is an `ICurve`.
`protected List<IHandlePart<? extends Node>>`
`createHoverHandlePartsForPolygonalOutline(IVisualPart<? extends Node> target, Map<Object,Object> contextMap, Provider<BezierCurve[]> segmentsProvider)`
Creates hover handle parts for a handle geometry that is an `IShape` but not a `Rectangle`.
`protected List<IHandlePart<? extends Node>>`
`createHoverHandlePartsForRectangularOutline(IVisualPart<? extends Node> target, Map<Object,Object> contextMap, Provider<BezierCurve[]> segmentsProvider)`
Creates hover handle parts for a handle geometry that is a `Rectangle`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HOVER_INTENT_HANDLES_GEOMETRY_PROVIDER

public static final String HOVER_INTENT_HANDLES_GEOMETRY_PROVIDER
The role name for the `Provider<IGeometry>` that will be used to generate hover handles.

See Also:
  - Constant Field Values

## Constructor Details

### DefaultHoverIntentHandlePartFactory

public DefaultHoverIntentHandlePartFactory()

## Method Details

### createHandleParts

public List<IHandlePart<? extends Node>> createHandleParts(List<? extends IVisualPart<? extends Node>> targets, Map<Object,Object> contextMap)
Description copied from interface: `IHandlePartFactory`
Creates specific `IHandlePart`s for the given targets. As additional information might be needed by the `IHandlePartFactory` to identify the creation context, an additional contextMap is passed in upon creation.

Specified by:
  `createHandleParts` in interface `IHandlePartFactory`
Parameters:
  `targets` - The target `IVisualPart`s for which handles are to be created.
  `contextMap` - A map in which additional context information for the creation process can be placed.
Returns:
  A list of `IHandlePart`s that can be used to manipulate the given targets.

### createHoverHandlePartsForCurve

protected List<IHandlePart<? extends Node>> createHoverHandlePartsForCurve(IVisualPart<? extends Node> target, Map<Object,Object> contextMap, Provider<BezierCurve[]> segmentsProvider)
Creates hover handle parts for a handle geometry that is an `ICurve`.

Parameters:
  `target` - The target `IVisualPart` for which handles are to be created.
  `contextMap` - A map in which the state-less context `IBehavior`) may place additional context information for the creation process. It may either directly contain additional information needed by the `IHandlePartFactory`, or may be passed back by the `IHandlePartFactory` to the calling context `IBehavior` to query such kind of information (in which case it will allow the context `IBehavior` to identify the creation context).
  `segmentsProvider` - A provider for the segments of the handle geometry for which handles are to be created.
Returns:
  A list of `IHandlePart`s that can be used to manipulate the given targets.

### createHoverHandlePartsForPolygonalOutline

protected List<IHandlePart<? extends Node>> createHoverHandlePartsForPolygonalOutline(IVisualPart<? extends Node> target, Map<Object,Object> contextMap, Provider<BezierCurve[]> segmentsProvider)
Creates hover handle parts for a handle geometry that is an `IShape` but not a `Rectangle`.

Parameters:
  `target` - The target `IVisualPart` for which handles are to be created.
  `contextMap` - A map in which the state-less context `IBehavior`) may place additional context information for the creation process. It may either directly contain additional information needed by the `IHandlePartFactory`, or may be passed back by the `IHandlePartFactory` to the calling context `IBehavior` to query such kind of information (in which case it will allow the context `IBehavior` to identify the creation context).
  `segmentsProvider` - A provider for the segments of the handle geometry for which handles are to be created.
Returns:
  A list of `IHandlePart`s that can be used to manipulate the given targets.

### createHoverHandlePartsForRectangularOutline

protected List<IHandlePart<? extends Node>> createHoverHandlePartsForRectangularOutline(IVisualPart<? extends Node> target, Map<Object,Object> contextMap, Provider<BezierCurve[]> segmentsProvider)
Creates hover handle parts for a handle geometry that is a `Rectangle`.

Parameters:
  `target` - The target `IVisualPart` for which handles are to be created.
  `contextMap` - A map in which the state-less context `IBehavior`) may place additional context information for the creation process. It may either directly contain additional information needed by the `IHandlePartFactory`, or may be passed back by the `IHandlePartFactory` to the calling context `IBehavior` to query such kind of information (in which case it will allow the context `IBehavior` to identify the creation context).
  `segmentsProvider` - A provider for the segments of the handle geometry for which handles are to be created.
Returns:
  A list of `IHandlePart`s that can be used to manipulate the given targets.